Hanzo
API Reference

Hanzo Vector API

Hanzo Vector provides a high-performance vector database for embeddings,

Hanzo Vector provides a high-performance vector database for embeddings,

Base URLhttps://vector.hanzo.ai
Version1.0.0
Operations17
GuideHanzo Vector API guide

Authentication

  • bearerAuth — HTTP bearer
  • apiKey — API key in header (api-key)
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://vector.hanzo.ai

Endpoints

Collections

MethodEndpointDescription
GET/v1/vector/collectionsList collections
GET/v1/vector/collections/{collection_name}Get collection info
PUT/v1/vector/collections/{collection_name}Create collection
DELETE/v1/vector/collections/{collection_name}Delete collection

Points

MethodEndpointDescription
PUT/v1/vector/collections/{collection_name}/pointsUpsert points
GET/v1/vector/collections/{collection_name}/points/{id}Get point
POST/v1/vector/collections/{collection_name}/points/deleteDelete points
MethodEndpointDescription
POST/v1/vector/collections/{collection_name}/points/searchSearch points
POST/v1/vector/collections/{collection_name}/points/search/batchBatch search
POST/v1/vector/collections/{collection_name}/points/recommendRecommend points

Service

MethodEndpointDescription
GET/healthzHealth check
GET/v1/vector/readyzReadiness check
GET/v1/vector/telemetryGet telemetry

Snapshots

MethodEndpointDescription
GET/v1/vector/collections/{collection_name}/snapshotsList snapshots
POST/v1/vector/collections/{collection_name}/snapshotsCreate snapshot
GET/v1/vector/collections/{collection_name}/snapshots/{snapshot_name}Download snapshot
DELETE/v1/vector/collections/{collection_name}/snapshots/{snapshot_name}Delete snapshot

Hanzo Vector API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page